window.Gleam.initSearch([{"doc":"dateformat","title":"dateformat","content":"# dateformat\n\n[![Package Version](https://img.shields.io/hexpm/v/dateformat)](https://hex.pm/packages/dateformat)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/dateformat/)\n\nDate formatting for birl Time records\n\n```sh\ngleam add dateformat@1\ngleam add birl\n```\n```gleam\nimport dateformat\nimport birl\n\npub fn main() {\n  let t = birl.from_unix_milli(1_234_567_890_123)\n\n  dateformat.format(&quot;dd-MMM-YYYY HH:mm&quot;, t)\n  // -&gt; Ok(&quot;13-Feb-2009 23:31&quot;)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/dateformat&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"dateformat","title":"compile_format","content":"pub fn compile_format(\n  fmt: String,\n) -&gt; Result(fn(Time) -&gt; String, Nil)\n Generates a function that can then be used to format\n given Time records\n Can return error if the format doesn&#39;t parse successfully\n\nSynonyms:\ndateformat.compile_format\ndateformat compile_format","url":"dateformat.html#compile_format"},{"doc":"dateformat","title":"format","content":"pub fn format(fmt: String, time: Time) -&gt; Result(String, Nil)\n Formats the given Time using the specified format\n Can return error if the format doesn&#39;t parse successfully\n\nSynonyms:\ndateformat.format\ndateformat format","url":"dateformat.html#format"},{"doc":"dateformat","title":"dateformat","content":" Enables formatting of birl Time records\n\n |                        | **Token** | **Output**                     |\n |------------------------|-----------|--------------------------------|\n | **Hour of Day**        | HH        | 00 - 23                        |\n |                        | H         | 0 - 23                         |\n |                        | hh        | 01 - 12                        |\n |                        | h         | 1 - 12                         |\n | **Minute of Hour**     | mm        | 00 - 59                        |\n |                        | m         | 0 - 59                         |\n | **Second of Minute**   | ss        | 00 - 59                        |\n |                        | s         | 0 - 59                         |\n | **Fraction of Second** | SSS       | 000 - 999                      |\n |                        | SS        | 00 - 99                        |\n |                        | S         | 0 - 9                          |\n | **Period of Day**      | A         | AM or PM                       |\n |                        | a         | am or pm                       |\n | **Time Zone/Offsets**  | Z         | -14:00 - +14:00                |\n |                        | z         | Europe/London, US/Central, etc |\n | **Unix Timestamp**     | X         | Unix seconds                   |\n |                        | x         | Unix milliseconds              |\n | **Day of Week**        | d         | 0 - 6                          |\n |                        | do        | 0th - 6th                      |\n |                        | dd        | Su - Sa                        |\n |                        | ddd       | Sun - Sat                      |\n |                        | dddd      | Sunday - Saturday              |\n | **Day of Week (ISO)**  | E         | 1 - 7                          |\n | **Day of Month**       | D         | 1 - 31                         |\n |                        | Do        | 1st - 31st                     |\n |                        | DD        | 01 - 31                        |\n | **Day of Year**        | DDD       | 1 - 366                        |\n |                        | DDDo      | 1st - 366th                    |\n |                        | DDDD      | 001 - 366                      |\n | **Week of Year (ISO)** | W         | 1 - 53                         |\n |                        | Wo        | 1st - 53rd                     |\n |                        | WW        | 01 - 53                        |\n | **Month**              | M         | 1 - 12                         |\n |                        | Mo        | 1st - 12th                     |\n |                        | MM        | 01 - 12                        |\n |                        | MMM       | Jan - Dec                      |\n |                        | MMMM      | January - December             |\n | **Quarter**            | Q         | 1 - 4                          |\n |                        | Qo        | 1st - 4th                      |\n | **Year**               | YY        | 70 - 69                        |\n |                        | YYYY      | 1970 - 2069                    |\n\n Other characters are just output as is\n Characters contained with [...] will be output without formats\n ","url":"dateformat.html"}]);